| OpendTect 8.0

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
ZipUtils Class Reference
General

Zip Utilities For zipping, the file names that go into the archive are relative to the provided basepath. If the input path is a directory, all files inside the directory are recursively going into the archive. For unzipping, the basepath is prepended to the relative file paths in the archive, to determine the output file location. basepath may be set to null, in which case it will be determined by base filepath of the input/output archive filename. More...

`#include <ziputils.h>`

## Static Public Member Functions
static bool | appendToArchive (const char *fileordirinp, const char *basepath, const char *zipfilenm, uiString &errmsg, TaskRunner *=nullptr, ZipHandler::CompLevel=ZipHandler::Normal)
static const char * | getZLibVersion ()
static bool | makeFileList (const char *zipfilenm, BufferStringSet &list, uiString &errmsg)
static bool | makeZip (const BufferStringSet &fullsrcfnms, const char *basepath, const char *zipfilenm, uiString &errmsg, TaskRunner *=nullptr, ZipHandler::CompLevel=ZipHandler::Normal)
static bool | makeZip (const char *fileordirinp, const char *basepath, const char *zipfilenm, uiString &errmsg, TaskRunner *=nullptr, ZipHandler::CompLevel=ZipHandler::Normal)
static bool | unZipArchive (const char *zipfilenm, const char *dest, uiString &errmsg, TaskRunner *=nullptr)
static bool | unZipArchives (const BufferStringSet &zipfilenms, const char *dest, uiString &errmsg, TaskRunner *=nullptr)
static bool | unZipFile (const char *zipfilenm, const char *srcfnm, const char *dest, uiString &errmsg, TaskRunner *=nullptr)

## Detailed Description

Zip Utilities For zipping, the file names that go into the archive are relative to the provided basepath. If the input path is a directory, all files inside the directory are recursively going into the archive. For unzipping, the basepath is prepended to the relative file paths in the archive, to determine the output file location. basepath may be set to null, in which case it will be determined by base filepath of the input/output archive filename.

<>

## Member Function Documentation

## ◆ appendToArchive()

static bool ZipUtils::appendToArchive | ( | const char * | fileordirinp,
|  | const char * | basepath,
|  | const char * | zipfilenm,
|  | uiString & | errmsg,
|  | TaskRunner * | = nullptr,
|  | ZipHandler::CompLevel | = ZipHandler::Normal )
| static

## ◆ getZLibVersion()

static const char * ZipUtils::getZLibVersion | ( |  | ) |
| static

## ◆ makeFileList()

static bool ZipUtils::makeFileList | ( | const char * | zipfilenm,
|  | BufferStringSet & | list,
|  | uiString & | errmsg )
| static

## ◆ makeZip() [1/2]

static bool ZipUtils::makeZip | ( | const BufferStringSet & | fullsrcfnms,
|  | const char * | basepath,
|  | const char * | zipfilenm,
|  | uiString & | errmsg,
|  | TaskRunner * | = nullptr,
|  | ZipHandler::CompLevel | = ZipHandler::Normal )
| static

## ◆ makeZip() [2/2]

static bool ZipUtils::makeZip | ( | const char * | fileordirinp,
|  | const char * | basepath,
|  | const char * | zipfilenm,
|  | uiString & | errmsg,
|  | TaskRunner * | = nullptr,
|  | ZipHandler::CompLevel | = ZipHandler::Normal )
| static

## ◆ unZipArchive()

static bool ZipUtils::unZipArchive | ( | const char * | zipfilenm,
|  | const char * | dest,
|  | uiString & | errmsg,
|  | TaskRunner * | = nullptr )
| static

## ◆ unZipArchives()

static bool ZipUtils::unZipArchives | ( | const BufferStringSet & | zipfilenms,
|  | const char * | dest,
|  | uiString & | errmsg,
|  | TaskRunner * | = nullptr )
| static

## ◆ unZipFile()

static bool ZipUtils::unZipFile | ( | const char * | zipfilenm,
|  | const char * | srcfnm,
|  | const char * | dest,
|  | uiString & | errmsg,
|  | TaskRunner * | = nullptr )
| static

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025